IOSS 2.0

Public Member Functions | Public Attributes | List of all members
anonymous_namespace{cgns_decomp.C}::Interface Class Reference
Collaboration diagram for anonymous_namespace{cgns_decomp.C}::Interface:
[legend]

## Public Member Functions
bool | parse_options (int argc, char **argv)
| Interface ()

## Public Attributes
Ioss::GetLongOption | options_
int | proc_count {0}
int | ordinal {-1}
double | load_balance {1.4}
std::string | filename {}
std::string | filetype {"cgns"}
std::string | line_decomposition {}
bool | verbose {false}
bool | histogram {true}
bool | work_per_processor {true}
bool | zone_proc_assignment {true}
bool | communication_map {true}

## Constructor & Destructor Documentation

## ◆ Interface()

anonymous_namespace{cgns_decomp.C}::Interface::Interface | ( |  | ) |
| inline

## Member Function Documentation

## ◆ parse_options()

bool anonymous_namespace{cgns_decomp.C}::Interface::parse_options | ( | int | argc,
|  | char ** | argv
| ) |  |
| inline

## Member Data Documentation

## ◆ communication_map

bool anonymous_namespace{cgns_decomp.C}::Interface::communication_map {true}

## ◆ filename

std::string anonymous_namespace{cgns_decomp.C}::Interface::filename {}

## ◆ filetype

std::string anonymous_namespace{cgns_decomp.C}::Interface::filetype {"cgns"}

## ◆ histogram

bool anonymous_namespace{cgns_decomp.C}::Interface::histogram {true}

## ◆ line_decomposition

std::string anonymous_namespace{cgns_decomp.C}::Interface::line_decomposition {}

## ◆ load_balance

double anonymous_namespace{cgns_decomp.C}::Interface::load_balance {1.4}

## ◆ options_

Ioss::GetLongOption anonymous_namespace{cgns_decomp.C}::Interface::options_

## ◆ ordinal

int anonymous_namespace{cgns_decomp.C}::Interface::ordinal {-1}

## ◆ proc_count

int anonymous_namespace{cgns_decomp.C}::Interface::proc_count {0}

## ◆ verbose

bool anonymous_namespace{cgns_decomp.C}::Interface::verbose {false}

## ◆ work_per_processor

bool anonymous_namespace{cgns_decomp.C}::Interface::work_per_processor {true}

## ◆ zone_proc_assignment

bool anonymous_namespace{cgns_decomp.C}::Interface::zone_proc_assignment {true}

The documentation for this class was generated from the following file:

- src/main/cgns_decomp.C